﻿
namespace ColorPlucker;

public partial class MainPage : ContentPage
{
    bool isRandom = true;

	public MainPage()
	{
		InitializeComponent();
	}

    private void sld_ValueChanged(object sender, ValueChangedEventArgs e)
    {
        if(!isRandom)
        {
		    var red = sldRed.Value;
		    var green = sldGreen.Value;
		    var blue = sldBlue.Value;

		    Color color = Color.FromRgb(red, green, blue);

		    SetColor(color);
        }

    }

    private void SetColor(Color color)
    {
		btnRandom.BackgroundColor = color;
		Container.BackgroundColor = color;
		lblHex.Text = color.ToHex();
    }

    private void Save1_Clicked(object sender, EventArgs e)
    {
        Color color = Color.FromRgb(sldRed.Value, sldGreen.Value,sldBlue.Value);
        ColorSave1.BackgroundColor = color;
        
    }

    private void Save2_Clicked(object sender, EventArgs e)
    {
        Color color = Color.FromRgb(sldRed.Value, sldGreen.Value, sldBlue.Value);
        ColorSave2.BackgroundColor = color;
    }

    private void Save3_Clicked(object sender, EventArgs e)
    {
        Color color = Color.FromRgb(sldRed.Value, sldGreen.Value, sldBlue.Value);
        ColorSave3.BackgroundColor = color;
    }

    private void btnRandom_Clicked(object sender, EventArgs e)
    {
        isRandom = true;
        var random = new Random();

        var color = Color.FromRgb(
            random.Next(0, 256),
            random.Next(0, 256),
            random.Next(0, 256));

        SetColor(color);
        sldRed.Value = color.Red;
        sldGreen.Value = color.Green;
        sldBlue.Value = color.Blue;

        isRandom = false;
    }
}

